
Redmine - Patch #21110

Keep anchor (i.e. to a specific issue note) throughout login

2015-10-30 06:26 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 3.2.0   

Description

Problem

When not logged in and following a 'deep' link to a specific issue note, the user is first redirected to the sign in form, and after

successful login the user is just sent to the top of the issue page because the anchor (i.e. #note-23) got lost along the way.

Solution

The anchor is not transferred to the server, so in order to keep it we need to introduce a bit of Javascript to preserve it when the login

form is submitted.

Associated revisions

Revision 14767 - 2015-10-30 12:00 - Jean-Philippe Lang

Keep anchor (i.e. to a specific issue note) throughout login (#21110).

Patch by Jens Krämer.

History

#1 - 2015-10-30 09:49 - Jean-Philippe Lang

Works fine with Firefox, but doesn't work with Chrome 46.

#2 - 2015-10-30 10:43 - Jens Krämer

Oh. Any JS errors? Chrome 45 works.

#3 - 2015-10-30 11:27 - Jens Krämer

I just checked in Chrome 47 / Linux and had a colleague check Chrome 46 / OSX 10.9 and both worked fine as well.

#4 - 2015-10-30 12:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

Sorry, my fault. Committed in r14767, thanks.

#5 - 2017-02-07 09:08 - Christian Damen

Workin' great. Thanks a lot Jean-Philippe :-)

Checked with Chrome 56, IE 11, Firefox 50.1

Files

keep_anchor_on_signin.diff 1.06 KB 2015-10-30 Jens Krämer
